<?php
namespace Domain;

class OrderService
{
  private $orderFactory;
  private $orderRepository;

  public function order($orderArray)
  {
    $order = $this->orderFactory
                  ->create($orderArray);
    $this->orderRepository->add($order);
  }

  public function setOrderFactory(
   $orderFactory)
  {
    $this->orderFactory = $orderFactory;
  }

  public function setOrderRepository(
    $orderRepository)
  {
    $this->orderRepository = $orderRepository;
  }
}
